> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Call Connect Session

> Start a Call Connect authentication session, triggering a user verification challenge based on the configured channels.



## OpenAPI

````yaml call-connect-api POST /call/start
openapi: 3.1.0
info:
  description: Authsignal's Call Connect API.
  version: 1.0.0
  title: Call Connect API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://us-connect.authsignal.com
  - url: https://au-connect.api.authsignal.com
  - url: https://eu-connect.api.authsignal.com
  - url: https://ca-connect.api.authsignal.com
security:
  - basicAuth: []
tags:
  - name: call-connect-api
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /call/start:
    post:
      tags:
        - call-connect-api
      summary: Start a Call Connect authentication session.
      description: >-
        Start a Call Connect authentication session, triggering a user
        verification challenge based on the configured channels.
      operationId: startCallConnectSession
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - referenceId
              properties:
                referenceId:
                  type: string
                  description: >-
                    A reference identifier originating from customer
                    experience/IVR system. This could be the call session ID.
                phoneNumber:
                  type: string
                  description: >-
                    The phone number of the user to be authenticated. This could
                    be the current call's originating phone number. Either in a
                    E.164 format, or optionally a local format as long as the
                    `country` field is provided too. Required when using the SMS
                    or WHATSAPP channel.
                  required: false
                userId:
                  type: string
                  description: The primary identifier for the user stored in Authsignal.
                  required: false
                username:
                  type: string
                  description: A username, for example a user customer number or email.
                  required: false
                email:
                  type: string
                  description: An email address for the user to be authenticated.
                  format: email
                  required: false
                channel:
                  type: string
                  description: >-
                    The channel to be used for the caller authentication link to
                    be sent to the user.
                  enum:
                    - WHATSAPP
                    - SMS
                    - EMAIL
                  required: false
                locale:
                  type: string
                  description: >-
                    The user's locale in BCP 47 format. Used to localize SMS
                    messages.
                  pattern: ^[a-z]{2}(-[A-Z]{2})?$
                  example: en
                country:
                  type: string
                  description: >-
                    Optional - used if `phoneNumber` is provided in a non-E.164
                    format the country can be provided separately and Authsignal
                    will automatically determine the E.164 formatted phone
                    number.
                  example: USA
                actionCode:
                  type: string
                  description: >-
                    The action code for the authentication session. Defaults to
                    `call`.
                  required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallConnectSession'
        '400':
          $ref: '#/components/responses/InvalidRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CallConnectSession:
      type: object
      properties:
        messageId:
          type: string
          description: >-
            The ID of the channel's delivered message, use this as an audit
            trail to track the message delivery.
        channel:
          type: string
          enum:
            - WHATSAPP
            - SMS
            - EMAIL
        email:
          type: string
          description: >-
            The email address the authentication request was sent to. Present
            when the channel is EMAIL.
        phoneNumber:
          type: string
          description: >-
            The phone number the authentication request was sent to. Present
            when the channel is SMS or WHATSAPP.
      example:
        messageId: ef6b3212-6121-4a9e-92ef-09d819e36e93
        channel: SMS
  responses:
    InvalidRequest:
      description: Invalid Request
      content:
        application/json:
          schema:
            $ref: c74e9ed6-5563-4f94-b519-1868b83f0204
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: c74e9ed6-5563-4f94-b519-1868b83f0204
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Call Connect API secret key as the username and leave the
        password empty. The secret key can be found in the Call Connect section
        of the Authsignal Portal settings.

````